gnome-volume-manager-1.5.15 & popt

Alessandro Alocci alessandro.alocci1 at tin.it
Sun Sep 24 14:45:13 PDT 2006


On 20:04 Sat 23 Sep, Arnie Stender wrote:

> make[2]: Entering directory
> `/usr/src/secondary/gnome-volume-manager-1.5.15/src'
> gcc  -g -O2 -W -Waggregate-return -Wmissing-prototypes
> - -Wmissing-declarations -Wcast-align -Wbad-function-cast
> - -Wdisabled-optimization -Wpointer-arith -Wredundant-decls   -o
> gnome-volume-manager  manager.o clipboard.o -Wl,--export-dynamic
> - -pthread -L/usr/X11R6/lib64 -lgnomeui-2 -lSM -lICE -lbonoboui-2
> - -lgnome-keyring -lxml2 -lz -lgnomecanvas-2 -lgnome-2 -lpopt -lart_lgpl_2
> - -lpangoft2-1.0 -lgnomevfs-2 -lbonobo-2 -lgconf-2 -lbonobo-activation
> - -lORBit-2 -lgthread-2.0 -ldbus-glib-1 -lhal -ldbus-1 -lgtk-x11-2.0
> - -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0
> - -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0
> /usr/lib/gcc/x86_64-unknown-linux-gnu/4.1.1/../../../../lib/libgnome-2.so:
> undefined reference to `poptBadOption at LIBPOPT_0'
> /usr/lib/gcc/x86_64-unknown-linux-gnu/4.1.1/../../../../lib/libgnome-2.so:
> undefined reference to `poptGetContext at LIBPOPT_0'
> /usr/lib/gcc/x86_64-unknown-linux-gnu/4.1.1/../../../../lib/libgnome-2.so:
> undefined reference to `poptStrerror at LIBPOPT_0'
> /usr/lib/gcc/x86_64-unknown-linux-gnu/4.1.1/../../../../lib/libbonoboui-2.so:
> undefined reference to `poptGetInvocationName at LIBPOPT_0'
> /usr/lib/gcc/x86_64-unknown-linux-gnu/4.1.1/../../../../lib/libgnome-2.so:
> undefined reference to `poptHelpOptions at LIBPOPT_0'
> /usr/lib/gcc/x86_64-unknown-linux-gnu/4.1.1/../../../../lib/libgnome-2.so:
> undefined reference to `poptFreeContext at LIBPOPT_0'
> /usr/lib/gcc/x86_64-unknown-linux-gnu/4.1.1/../../../../lib/libgnome-2.so:
> undefined reference to `poptGetNextOpt at LIBPOPT_0'
> collect2: ld returned 1 exit status

Hi Arnie, it seems like you haven't your libgnome and libbonoboui
compiled with popt support. But I have just tried to recompile my
libgnome hiding libpopt and that breaks the configure.
Can you see what is the output of this command in your system:

alex at surf ~$ nm /opt/gnome-2.14/lib/libgnome-2.so | grep popt
         U bonobo_activation_popt_options
         U poptBadOption@@LIBPOPT_0
         U poptFreeContext@@LIBPOPT_0
         U poptGetContext@@LIBPOPT_0
         U poptGetNextOpt@@LIBPOPT_0
         U poptHelpOptions@@LIBPOPT_0
         U poptStrerror@@LIBPOPT_0

Should be useful also to know what version of libgnome and libbonobo
exactly you have onboard, I read several changes about popt in
the ChangeLog of libgnome-2.14.1.
HTH, Alessandro Alocci.




More information about the blfs-support mailing list